Liste l'historique de consentement
Retourne une liste paginée des historiques de consentement (RGPD), triée par date de création par défaut. Chaque entrée enregistre un changement d'état de consentement pour un canal (email, sms, push). Les paramètres filters (par ex. id_contact, channel, event_type), order, limit, offset et fields permettent d'affiner la réponse. Les entrées sont immuables.
Parameters
Header Parameters
[Authentication] Required API key.
"^[a-zA-Z0-9-]{20,64}$"Query Parameters
Maximum number of records to return
10Number of records to skip
0Sorting criteria, array of objects with field and type properties
{
"field": "created_at",
"type": "desc"
}Fields to include in the response, comma-separated or array
"id,name,created_at"Filter criteria, array of objects with field, operator and values properties.
Available operators: EQUALS, NOT_EQUALS, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, LESS_THAN, LESS_THAN_OR_EQUAL_TO, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, IN, NOT_IN, LIKE, BETWEEN, NOT_BETWEEN
{
"field": "status",
"operator": "EQUALS",
"values": "active"
}Responses
Paginated listing response.
Liste l'historique de consentement Retourne une liste paginée des historiques de consentement (RGPD), triée par date de création par défaut. Chaque entrée enregistre un changement d'état de consentement pour un canal (email, sms, push). Les paramètres filters (par ex. id_contact, channel, event_type), order, limit, offset et fields permettent d'affiner la réponse. Les entrées sont immuables. GET /v1/contact-consent-history listContactConsentHistory Contact Consent History spm-api-key [Authentication] Required API key. limit Maximum number of records to return offset Number of records to skip order Sorting criteria, array of objects with field and type properties fields Fields to include in the response, comma-separated or array filters Filter criteria, array of objects with field, operator and values properties. Available operators: EQUALS, NOT_EQUALS, CONTAINS, NOT_CONTAINS, STARTS_WITH, ENDS_WITH, LESS_THAN, LESS_THAN_OR_EQUAL_TO, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, IN, NOT_IN, LIKE, BETWEEN, NOT_BETWEEN Paginated listing response. Client error - Invalid request or authentication issues Server error - Internal processing failure